WEBINARLive webinar: Terraform in Buddy, Oct 21st.Terraform: plan, approve, apply with state in Buddy. Live on October 21st.Save your seat

Delete Fetch

View as Markdown
  • DEL
  • /workspaces
  • /:workspace
  • /sandboxes
  • /:sandbox_id
  • /fetches
  • /:fetch_id

Remove a source from a sandbox. Files already fetched into the sandbox are left in place

Request

REQUIRED SCOPES
SANDBOX_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

sandbox_idrequiredstring
The ID of the sandbox

Example: "sb-1234567890abcdef"

fetch_idrequiredstring
The ID of the fetch

Example: "f1a2b3c4d5"

Last modified on Oct 20, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/sandboxes/:sandbox_id/fetches/:fetch_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"